Emergency Flash Player patch fixes zero-day critical flaw

Adobe warns that hackers are already exploiting the vulnerability in limited attacks

Adobe Systems has released an emergency patch for Flash Player in order to fix a critical vulnerability that attackers are already taking advantage of.

The vulnerability, tracked as CVE-2016-7855 in the Common Vulnerabilities and Exposures database, is a use-after-free error that could lead to arbitrary code execution.

"Adobe is aware of a report that an exploit for CVE-2016-7855 exists in the wild, and is being used in limited, targeted attacks against users running Windows versions 7, 8.1 and 10," the company warned in a security advisory Wednesday.

Users are advised to upgrade to Flash Player 23.0.0.205 on Windows and Mac and to version 11.2.202.643 on Linux. The Flash Player runtime bundled with Google Chrome and Microsoft Edge or Internet Explorer 11 on Windows 10 and 8.1 will be updated automatically through those browsers' update mechanisms.

Adobe credits Neel Mehta and Billy Leonard from Google's Threat Analysis Group for reporting the exploit to the company.

Flash Player vulnerabilities are typically exploited over the web when users browse to  compromised websites or load malicious advertisements. To protect themselves against browser-based attacks, users should enable click-to-play, a feature that blocks plug-in-based content like Flash from running automatically until the user clicks on it. 

However, it's worth noting that attackers have also embedded Flash Player exploits into Word documents that were then sent as attachments via email. This embedded Flash content runs when the document is opened.

Join the CSO newsletter!

Error: Please check your email address.

More about AdobeAdobe SystemsGoogleLinuxMicrosoft

Show Comments

Featured Whitepapers

Editor's Recommendations

Solution Centres

Stories by Lucian Constantin

Latest Videos

More videos

Blog Posts